Notices


Reply
Thread Tools
Posts: 45 | Thanked: 75 times | Joined on Jun 2010
#1
while attempting installation of Telethon on either N900(Maemo) or N9(MeeGo), I got stuck with several issues on both systems.

the above thread is specific to Telegram, but the questions I have are more generic:

I'm looking for OpenSSL, newer than 0.9.8, is it available anywhere?

python3.1 can't be the newest Python3 we have for MeeGo, can it?

The current OpenSSL prevents stuff to be installed via pip. Python3.1 is several steps behind Telethon's requirement 3.5.
 
Posts: 1,170 | Thanked: 3,916 times | Joined on Oct 2014
#2
Originally Posted by mfrasca View Post
while attempting installation of Telethon on either N900(Maemo) or N9(MeeGo), I got stuck with several issues on both systems.

the above thread is specific to Telegram, but the questions I have are more generic:

I'm looking for OpenSSL, newer than 0.9.8, is it available anywhere?

python3.1 can't be the newest Python3 we have for MeeGo, can it?

The current OpenSSL prevents stuff to be installed via pip. Python3.1 is several steps behind Telethon's requirement 3.5.
Python 3.4 should be in extras-devel
http://talk.maemo.com/showpost.php?p...0&postcount=17

And openssl 1.0.1g you can try
http://talk.maemo.org/showthread.php?t=91787
__________________
You can still support my work by donation - click here

ETH: 0xFcD031609DB739C62730589361940C68ceEbC913
 
Posts: 9 | Thanked: 21 times | Joined on Nov 2017 @ China
#3
Originally Posted by nieldk View Post
Python 3.4 should be in extras-devel
http://talk.maemo.com/showpost.php?p...0&postcount=17

And openssl 1.0.1g you can try
http://talk.maemo.org/showthread.php?t=91787
Well I quite need to get OpenSSL 1.0.2h(or higher) to get mitmproxy to work so that I can view those https encrypted webpages. But when I tried to compile one on my N9, the libssl libararies turns out to be 1.0.0 version and I failed to install nodejs 0.10.45 by @daols and mitmproxy couldn't run.So what can I do next?
 

The Following User Says Thank You to Kevin.MX For This Useful Post:
Posts: 45 | Thanked: 75 times | Joined on Jun 2010
#4
Originally Posted by nieldk View Post
Python 3.4 should be in extras-devel
http://talk.maemo.com/showpost.php?p...0&postcount=17
I know how to find extras-devel in Maemo, but where is it within MeeGo?

Originally Posted by nieldk View Post
And openssl 1.0.1g you can try
http://talk.maemo.org/showthread.php?t=91787
I managed to install that one (had to change file ownerships prior to installation), but 1.0.1g is not enough for pip.

my current /etc/apt/sources.list.d/*:

Code:
user@theresia:~$ for i in /etc/apt/sources.list.d/*; do echo $i; cat $i; echo; done
/etc/apt/sources.list.d/aegis.ssu-keyring-418.list

/etc/apt/sources.list.d/n9repomirror.list
# CODeRUS mirror
deb https://coderus.openrepos.net/n9mirror/001 ./
deb https://coderus.openrepos.net/n9mirror/apps ./
deb https://coderus.openrepos.net/n9mirror/tools ./

# SDK repository
deb http://mirror.thecust.net/harmattan-dev.nokia.com/ harmattan/sdk free non-free
deb-src http://mirror.thecust.net/harmattan-dev.nokia.com/ harmattan/sdk free

# Nokia-binaries
#deb http://mirror.thecust.net/harmattan-dev.nokia.com/ harmattan/41667a5bd857be02f487c2ce806fbf85 nokia-binaries

/etc/apt/sources.list.d/openrepos-Enigma.list
deb http://harmattan.openrepos.net/Enigma personal main

/etc/apt/sources.list.d/openrepos-halftux.list
deb http://harmattan.openrepos.net/halftux personal main

/etc/apt/sources.list.d/openrepos-hooddy.list
deb http://harmattan.openrepos.net/hooddy personal main

/etc/apt/sources.list.d/openrepos-mp107.list
deb http://harmattan.openrepos.net/mp107 personal main

/etc/apt/sources.list.d/openrepos-rzr.list
deb http://harmattan.openrepos.net/rzr personal main

/etc/apt/sources.list.d/openrepos-simplicio.list
deb http://harmattan.openrepos.net/simplicio personal main

/etc/apt/sources.list.d/osa.list
deb-exec /usr/bin/osa

user@theresia:~$
 
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 18:23.